<?php

if (!function_exists('cd_customizer_settings')){
    function cd_customizer_settings( $wp_customize ){

        /* Logos */

        $wp_customize->add_setting( 'custom_logo', array(
            'type'       => 'option',
            'capability' => 'manage_options',
            'transport'      => 'postMessage',
        ) );

        $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'custom_logo', array(
            'label'         => __( 'Logo' ),
            'section'       => 'title_tagline',
            'priority'      => 8,
            'button_labels' => array(
                'select'       => __( 'Select logo' ),
                'change'       => __( 'Change logo' ),
                'remove'       => __( 'Remove' ),
                'default'      => __( 'Default' ),
                'placeholder'  => __( 'No logo selected' ),
                'frame_title'  => __( 'Select logo' ),
                'frame_button' => __( 'Choose logo' ),
            ),
        ) ) );

        $wp_customize->selective_refresh->add_partial( 'custom_logo', array(
            'settings'            => array( 'custom_logo' ),
            'selector'            => '.custom-logo-link',
            'render_callback'     => array( $wp_customize, '_render_custom_logo_partial' ),
            'container_inclusive' => true,
        ) );

        $wp_customize->add_setting( 'custom_logo_nav', array(
            'type'       => 'option',
            'capability' => 'manage_options',
            'transport'      => 'postMessage',
        ) );

        $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'custom_logo_nav', array(
            'label'         => __( 'Navigation Logo' ),
            'section'       => 'title_tagline',
            'priority'      => 8,
            'button_labels' => array(
                'select'       => __( 'Select logo' ),
                'change'       => __( 'Change logo' ),
                'remove'       => __( 'Remove' ),
                'default'      => __( 'Default' ),
                'placeholder'  => __( 'No logo selected' ),
                'frame_title'  => __( 'Select logo' ),
                'frame_button' => __( 'Choose logo' ),
            ),
        ) ) );

        /* Footer */

        $wp_customize->add_section( 'footer', array(
            'title'    => __( 'Footer' ),
            'priority' => 22,
        ) );

        $wp_customize->add_setting( 'footer_text', array(
            'default'    => '...',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'footer_text', array(
            'label'      => __( 'Footer Text' ),
            'section'    => 'footer',
        ) );

        $wp_customize->add_setting( 'custom_logo_footer', array(
            'type'       => 'option',
            'capability' => 'manage_options',
            'transport'      => 'postMessage',
        ) );

        $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'custom_logo_footer', array(
            'label'         => __( 'Footer Logo' ),
            'section'       => 'footer',
            'priority'      => 8,
            'button_labels' => array(
                'select'       => __( 'Select logo' ),
                'change'       => __( 'Change logo' ),
                'remove'       => __( 'Remove' ),
                'default'      => __( 'Default' ),
                'placeholder'  => __( 'No logo selected' ),
                'frame_title'  => __( 'Select logo' ),
                'frame_button' => __( 'Choose logo' ),
            ),
        ) ) );

        /* Google Tag */

        $wp_customize->add_section( 'google_tag', array(
            'title'    => __( 'Google Tag' ),
            'priority' => 22,
        ) );

        $wp_customize->add_setting( 'defineSlot_1', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_1', array(
            'label'      => __( 'defineSlot 1' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_2', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_2', array(
            'label'      => __( 'defineSlot 2' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_3', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_3', array(
            'label'      => __( 'defineSlot 3' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_4', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_4', array(
            'label'      => __( 'defineSlot 4' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_5', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_5', array(
            'label'      => __( 'defineSlot 5' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_6', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_6', array(
            'label'      => __( 'defineSlot 6' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_7', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_7', array(
            'label'      => __( 'defineSlot 7' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_8', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_8', array(
            'label'      => __( 'defineSlot 8' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_9', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_9', array(
            'label'      => __( 'defineSlot 9' ),
            'section'    => 'google_tag',
        ) );

        $wp_customize->add_setting( 'defineSlot_10', array(
            'default'    => 'googletag.defineSlot(\'/13991....',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'defineSlot_10', array(
            'label'      => __( 'defineSlot 10' ),
            'section'    => 'google_tag',
        ) );

        /* Social Media */

        $wp_customize->add_section( 'social_media', array(
            'title'    => __( 'Social Media' ),
            'priority' => 21,
        ) );

        $wp_customize->add_setting( 'social_facebook_url', array(
            'default'    => 'https://',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'social_facebook_url', array(
            'label'      => __( 'Facebook' ),
            'section'    => 'social_media',
        ) );

        $wp_customize->add_setting( 'social_twitter_url', array(
            'default'    => 'https://',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'social_twitter_url', array(
            'label'      => __( 'Twitter' ),
            'section'    => 'social_media',
        ) );

        $wp_customize->add_setting( 'social_whatsapp_url', array(
            'default'    => 'https://',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'social_whatsapp_url', array(
            'label'      => __( 'WhatsApp' ),
            'section'    => 'social_media',
        ) );

        $wp_customize->add_setting( 'social_youtube_url', array(
            'default'    => 'https://',
            'type'       => 'option',
            'capability' => 'manage_options',
        ) );

        $wp_customize->add_control( 'social_youtube_url', array(
            'label'      => __( 'YouTube' ),
            'section'    => 'social_media',
        ) );
        
        
    }
}

add_action( 'customize_register', 'cd_customizer_settings' );